Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.abstract_syntax
Class MalformedOWLPropertyURIException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.semanticweb.owl.model.OWLException
                        |
                        +--org.semanticweb.owl.io.abstract_syntax.MalformedOWLURIException
                              |
                              +--org.semanticweb.owl.io.abstract_syntax.MalformedOWLPropertyURIException

All Implemented Interfaces:
  Serializable

public class MalformedOWLPropertyURIException
extends MalformedOWLURIException

MalformedOWLPropertyURIException.java.

Version:
  $Id: MalformedOWLPropertyURIException.java,v 1.1 2003/12/01 17:06:10 dturi Exp $
See Also:
  Serialized Form

Constructor Summary
`MalformedOWLPropertyURIException(Set uriStrings, Exception e)`
`MalformedOWLPropertyURIException(String e)`
`MalformedOWLPropertyURIException(String uri, Exception e)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedOWLPropertyURIException

    public MalformedOWLPropertyURIException(String e)

### MalformedOWLPropertyURIException

    public MalformedOWLPropertyURIException(String uri,
                                            Exception e)

### MalformedOWLPropertyURIException

    public MalformedOWLPropertyURIException(Set uriStrings,
                                            Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb